#
#  File: rh9-chora.spec
#  $Horde: chora/packaging/redhat/chora.spec,v 1.1 2004/09/03 01:58:47 chuck Exp $
#
#  This is the SPEC file for the Chora Red Hat 9 RPMs/SRPM.
#

%define apachedir /etc/httpd
%define apacheuser apache
%define apachegroup apache
%define contentdir /var/www

Summary: Provides an advanced web-based view of any CVS repository
Name: chora
Version: 1.2.2
Release: 1
Copyright: GPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/chora/chora-%{version}.tar.gz
Source1: chora.conf
Vendor: The Horde Project
URL: http://www.horde.org/
Packager: Mike Hardy <mike@h3c.com>
BuildArchitectures: noarch
BuildRoot: /tmp/chora-root
Requires: php >= 4.2.1
Requires: httpd >= 2.0.40
Requires: horde >= 2.0
Prereq: /usr/bin/perl

%description
Chora is the Horde CVS viewer, and it provides an advanced web-based 
view of any CVS repository. It now includes annotation support, visual 
branch viewing capability, and human-readable diffs.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Chora)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf.d
cp -p $RPM_SOURCE_DIR/chora.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/chora
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/chora
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/chora/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post
# post-install instructions:
cat <<_EOF_
You must manually configure Chora!
See "INSTALL" in %{contentdir}/html/horde/chora/docs/INSTALL
You must also restart Apache with "service httpd restart"!
_EOF_

%postun
if [ $1 -eq 0 ]; then
	cat <<_EOF2_
You must restart Apache with "service httpd restart"!
_EOF2_
fi

%files
%defattr(-,root,root)
# Apache chora.conf file
%config %{apachedir}/conf.d/chora.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/chora
# Include top-level files by hand
%{contentdir}/html/horde/chora/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/chora/graphics
%{contentdir}/html/horde/chora/lib
%{contentdir}/html/horde/chora/locale
%{contentdir}/html/horde/chora/po
%{contentdir}/html/horde/chora/templates
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/chora/COPYING
%doc %{contentdir}/html/horde/chora/README
%doc %{contentdir}/html/horde/chora/config/README
%docdir %{contentdir}/html/horde/chora/docs
%{contentdir}/html/horde/chora/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/chora/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/chora/config/.htaccess
%{contentdir}/html/horde/chora/config/*.dist
%config %{contentdir}/html/horde/chora/config/*.php
%config %{contentdir}/html/horde/chora/config/*.txt

%changelog
* Thu Aug 12 2004 Mike Hardy <mike@h3c.com> 1.2.2-1
- First release, 1.2.2-1
- Adapted mostly from Brent Nordquist's imp RPM spec (thanks Brent!)

